<template>
	<h3>Saldo: {{ saldo }}</h3>
	<h4>Tipo de Cuenta: {{ cuenta }}</h4>
	<h4>Estado: {{ estado ? 'Activa' : 'Cerrada' }}</h4>

	<h4>Servicios disponibles</h4>
	<div v-for="(item, index) in servicios" :key="index">
		{{ index + 1 }} -- {{ item }}
	</div>

	<hr>

	<AccionSaldo texto="Agregar Saldo" @accion="agregarSaldo" />
	<AccionSaldo texto="Disminuir Saldo" @accion="disminuirSaldo" :desactivar="desactivar" />
</template>


<script>
import AccionSaldo from "@/components/AccionSaldo";

export default {
	name: "Cuenta",
	components: {
		AccionSaldo
	},
	data() {
		return {
			cuenta: 'Visa',
			saldo: 500,
			estado: true,
			servicios: [
				'pagos',
				'giros',
				'transferencias'
			],
			desactivar: false
		}
	},
	methods: {
		agregarSaldo() {
			this.saldo += 100
			this.desactivar = false
		},
		disminuirSaldo() {
			this.saldo === 0
				? this.desactivar = true
				: this.saldo -= 100

			if (this.saldo === 0)
				this.desactivar = true
		}
	}
};
</script>


<style scoped>
</style>